# frozen_string_literal: true

module Aitch
  InvalidURIError        = Class.new(StandardError)
  InvalidHTTPMethodError = Class.new(StandardError)
  RequestTimeoutError    = Class.new(StandardError)
  TooManyRedirectsError  = Class.new(StandardError)
  StatusCodeError        = Class.new(StandardError)

  ResponseError                      = Class.new(StandardError)
  BadRequestError                    = Class.new(ResponseError)
  UnauthorizedError                  = Class.new(ResponseError)
  PaymentRequiredError               = Class.new(ResponseError)
  ForbiddenError                     = Class.new(ResponseError)
  NotFoundError                      = Class.new(ResponseError)
  MethodNotAllowedError              = Class.new(ResponseError)
  NotAcceptableError                 = Class.new(ResponseError)
  ProxyAuthenticationRequiredError   = Class.new(ResponseError)
  RequestTimeOutError                = Class.new(ResponseError)
  ConflictError                      = Class.new(ResponseError)
  GoneError                          = Class.new(ResponseError)
  LengthRequiredError                = Class.new(ResponseError)
  PreconditionFailedError            = Class.new(ResponseError)
  RequestEntityTooLargeError         = Class.new(ResponseError)
  RequestURITooLongError             = Class.new(ResponseError)
  UnsupportedMediaTypeError          = Class.new(ResponseError)
  RequestedRangeNotSatisfiableError  = Class.new(ResponseError)
  ExpectationFailedError             = Class.new(ResponseError)
  UnprocessableEntityError           = Class.new(ResponseError)
  LockedError                        = Class.new(ResponseError)
  FailedDependencyError              = Class.new(ResponseError)
  UpgradeRequiredError               = Class.new(ResponseError)
  PreconditionRequiredError          = Class.new(ResponseError)
  TooManyRequestsError               = Class.new(ResponseError)
  RequestHeaderFieldsTooLargeError   = Class.new(ResponseError)
  InternalServerErrorError           = Class.new(ResponseError)
  NotImplementedError                = Class.new(ResponseError)
  BadGatewayError                    = Class.new(ResponseError)
  ServiceUnavailableError            = Class.new(ResponseError)
  GatewayTimeOutError                = Class.new(ResponseError)
  VersionNotSupportedError           = Class.new(ResponseError)
  InsufficientStorageError           = Class.new(ResponseError)
  NetworkAuthenticationRequiredError = Class.new(ResponseError)
end
